Skip to main content
GET
/
v1
/
gateways
/
{gateway_id}
/
auths
List auths
curl --request GET \
  --url https://agentgateway-admin.dev.neuraltrust.ai/v1/gateways/{gateway_id}/auths \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "api_key": "<string>",
      "config": {
        "idp": {
          "allowed_algorithms": [
            "<string>"
          ],
          "audiences": [
            "<string>"
          ],
          "issuer": "<string>",
          "jwks_url": "<string>",
          "public_keys": [
            "<string>"
          ],
          "required_scopes": [
            "<string>"
          ],
          "subject_claim": "<string>"
        },
        "mtls": {
          "allowed_common_names": [
            "<string>"
          ],
          "allowed_dns_names": [
            "<string>"
          ],
          "allowed_fingerprints": [
            "<string>"
          ],
          "ca_cert": "<string>"
        },
        "oauth2": {
          "allowed_algorithms": [
            "<string>"
          ],
          "audiences": [
            "<string>"
          ],
          "client_id": "<string>",
          "client_secret": "<string>",
          "introspection_url": "<string>",
          "issuer": "<string>",
          "jwks_url": "<string>",
          "required_scopes": [
            "<string>"
          ]
        }
      },
      "created_at": "<string>",
      "enabled": true,
      "gateway_id": "<string>",
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "updated_at": "<string>"
    }
  ],
  "page": 123,
  "size": 123,
  "total": 123
}

Authorizations

Authorization
string
header
required

Path Parameters

gateway_id
string<uuid>
required

Gateway id

Query Parameters

name
string

Filter by name (substring match)

page
integer

Page number (1-based)

size
integer

Page size

Response

OK

items
object[]
page
integer
size
integer
total
integer